LibreOffice: XCompoundTypeDescription Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
XCompoundTypeDescription Interface Referencepublished

Reflects a compound type, i.e. More...

`import"XCompoundTypeDescription.idl";`

Inheritance diagram for XCompoundTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getBaseType ()
| Returns the type of the base type of the compound type. More...
sequence< com::sun::star::reflection::XTypeDescription > | getMemberTypes ()
| Returns the member types of the struct/exception in IDL declaration order. More...
sequence< string > | getMemberNames ()
| Returns the member names of the struct/exception in IDL declaration order. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a compound type, i.e.

a struct or exception.

For struct types, this type is superseded by XStructTypeDescription, which supports polymorphic struct types.

## Member Function Documentation

## ◆ getBaseType()

com::sun::star::reflection::XTypeDescription getBaseType | ( |  | ) |

Returns the type of the base type of the compound type.

If the compound does not have a base type, the method returns a null interface.

Returns
  base interface or null

## ◆ getMemberNames()

sequence<string> getMemberNames | ( |  | ) |

Returns the member names of the struct/exception in IDL declaration order.

Returns
  members names of struct/exception

## ◆ getMemberTypes()

sequence<com::sun::star::reflection::XTypeDescription> getMemberTypes | ( |  | ) |

Returns the member types of the struct/exception in IDL declaration order.

For a polymorphic struct type template, a member of parameterized type is represented by an instance of com::sun::star::reflection::XTypeDescription whose type class is `UNKNOWN` and whose name is the name of the type parameter.

Returns
  members of struct/exception

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XCompoundTypeDescription.idl